SystemOrganization addCategory: 'ConfigurationOfOrbeonBpmWeb'!

ConfigurationOf subclass: #ConfigurationOfOrbeonBpmWeb
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBpmWeb'!

!ConfigurationOfOrbeonBpmWeb methodsFor: 'other' stamp: 'BrunoBB 02/24/2016 09:23'!
baseline0105: spec
	<version: '0.105-baseline'>

	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'.

		spec project: 'OrbeonBPM' with: [
			spec className: 'ConfigurationOfOrbeonBpm';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfOrbeonBpm';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'].

		spec project: 'OrbeonBPMXpdl' with: [
			spec className: 'ConfigurationOfOrbeonBPMXpdl';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfOrbeonBPMXpdl';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'].

		spec project: 'OrbeonLDAP' with: [
			spec className: 'ConfigurationOfOrbeonLDAP';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfOrbeonLDAP';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'Sewaf' with: [
			spec className: 'ConfigurationOfSewaf';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfSewaf';
				repository: 'http://ss3.gemtalksystems.com/ss/Sewaf'].

		spec 	
			package: 'OrbeonBPMWeb' with: [spec requires: #('OrbeonBPM' 'OrbeonBPMXpdl' 'Sewaf' 'OrbeonLDAP').].

		spec 	
			package: 'OrbeonBPMWebBackoffice' with: [spec requires: #('OrbeonBPM' 'OrbeonBPMXpdl' 'Sewaf' 'OrbeonLDAP').].

	].! !

!ConfigurationOfOrbeonBpmWeb methodsFor: 'other' stamp: 'BrunoBB 01/30/2016 16:54'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.105-baseline'.! !

!ConfigurationOfOrbeonBpmWeb methodsFor: 'other' stamp: 'BrunoBB 05/08/2016 14:39'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.152'.! !

!ConfigurationOfOrbeonBpmWeb methodsFor: 'other' stamp: 'BrunoBB 05/08/2016 14:39'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.152'.! !

!ConfigurationOfOrbeonBpmWeb methodsFor: 'other' stamp: 'BrunoBB 06/30/2016 11:28'!
version0152: spec
	<version: '0.152' imports: #('0.105-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		"Load dependency porject"
		spec project: 'OrbeonBPM' with: #'stable'.
		spec project: 'OrbeonBPMXpdl' with: #'stable'.
		spec project: 'Sewaf' with: #'stable'.
		spec project: 'OrbeonLDAP' with: #'stable'.

		"Load the actual Packages"
		spec package: 'OrbeonBPMWeb' with: 'OrbeonBPMWeb-BrunoBB.169'.
		spec package: 'OrbeonBPMWebBackoffice' with: 'OrbeonBPMWebBackoffice-BrunoBB.141'.

	]! !

!ConfigurationOfOrbeonBpmWeb methodsFor: 'other' stamp: 'BrunoBB 01/30/2016 17:01'!
versionNumberClass
     ^MetacelloVersionNumber! !
